Tag: eclipse project facets

Java compiler level does not match the version of the installed Java project facet

Java compiler level does not match the version of the installed Java project facet

Java compiler version and project facet selected java version not matching. So we need to change java project facets version according java compiler. Solution Change java project facets java version according java compiler. Select Project –> Right Click –> Project Facets –> Select version in version drop down.